import { OnDestroy, OnInit, QueryList } from "@angular/core";
import { Point } from "../../popover/common/popover";
import { DatagridColumnToggleButton } from "./datagrid-column-toggle-button";
import { DatagridColumnToggleTitle } from "./datagrid-column-toggle-title";
import { DatagridHideableColumn } from "./datagrid-hideable-column";
import { ColumnToggleButtonsService } from "./providers/column-toggle-buttons.service";
import { HideableColumnService } from "./providers/hideable-column.service";
export declare class DatagridColumnToggle implements OnInit, OnDestroy {
    hideableColumnService: HideableColumnService;
    private columnToggleButtons;
    private subscriptions;
    private _allColumnsVisible;
    /***
     * Popover init
     * @type {Point}
     */
    anchorPoint: Point;
    popoverPoint: Point;
    open: boolean;
    /****
     * DatagridHideableColumn init
     * @type {Array}
     */
    columns: DatagridHideableColumn[];
    allColumnsVisible: boolean;
    title: DatagridColumnToggleTitle;
    buttons: QueryList<DatagridColumnToggleButton>;
    constructor(hideableColumnService: HideableColumnService, columnToggleButtons: ColumnToggleButtonsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    selectAll(): void;
    toggleColumn(event: boolean, column: DatagridHideableColumn): void;
    toggleUI(): void;
}
