import { AfterContentInit, EventEmitter, QueryList } from "@angular/core";
import { Alert } from "./alert";
import { MultiAlertService } from "./providers/multi-alert-service";
export declare class Alerts implements AfterContentInit {
    multiAlertService: MultiAlertService;
    allAlerts: QueryList<Alert>;
    /**
     * Input/Output to support two way binding on current alert index
     */
    _inputCurrentIndex: number;
    currentAlertIndexChange: EventEmitter<number>;
    currentAlertIndex: number;
    /**
     * Input/Output to support two way binding on current alert instance
     */
    currentAlert: Alert;
    currentAlertChange: EventEmitter<Alert>;
    /**
     * Ensure we are only dealing with alerts that have not been closed yet
     */
    readonly alerts: Alert[];
    readonly currentAlertType: string;
    constructor(multiAlertService: MultiAlertService);
    ngAfterContentInit(): void;
}
